PORT-PLATFORM(1)

NAME
port-platform - Print the OS version for which MacPorts was built

SYNOPSIS

port [-q] platform

DESCRIPTION

This command prints the version of your operating system used to configure and build MacPorts. This value is used to detect OS updates and refer users to the Migration[1] instructions.

Since MacPorts picks up a number of paths at configure-time and uses them later on, changes in the operating system can break a MacPorts installation. For example, this happened when Apple removed “/usr/bin/gnutar” with the release of OS X Mavericks. Since MacPorts keeps the path to its tar command in a file, this change required rebuilding MacPorts.

GLOBAL OPTIONS

Please see the section GLOBAL OPTIONS in the port(1) man page for a description of global port options.

-q
    Do not print the “Platform:” prefix.

SEE ALSO

port(1), Migration[1]

AUTHORS

    (C) 2014 The MacPorts Project
    Clemens Lang <cal@macports.org>

EXTERNAL REFERENCES

1.  Migration
    https://trac.macports.org/wiki/Migration